Stay up to date with the latest changes to Synthflow.
High Frequency Product updates

Sign up to receive all product updates almost as they happen.

Subscribe to updates

This changelog provides granular, real-time updates as changes are released. For a monthly summary of platform changes, see the Synthflow product changelog on our feedback portal.

For live uptime, active incidents, and service health, visit our Status page.


May 5, 2026

Subaccounts API improvements: New permission and quota fields

We’ve improved the Subaccounts API with more options to manage subaccounts, including explicit permission mutations, finer-grained quota controls, and additional permission flags returned.

The legacy permissions object on Update Subaccount is no longer accepted for permission changes; use grant_permissions and revoke_permissions instead.

New request fields on POST and PUT Subaccount

FieldDescription
concurrencyMaximum simultaneous calls.
max_agentsMaximum agents the subaccount can create.
max_minutesMinute allocation for the subaccount.
max_workflow_runsWorkflow-run allocation for the subaccount.
grant_permissionsPermissions to grant. See the supported values.
revoke_permissionsPermissions to revoke. See the supported values.

New response fields added to the permissions object returned by GET Subaccount:

FieldDescription
inboundCan create inbound voice agents.
outboundCan create outbound voice agents.
widgetCan create web widget agents.
chatCan create chat agents.
logsCan access call, chat, API, and webhook logs.
simulationsCan access call simulations.
analyticsCan view the analytics dashboard.

Updated endpoints:

EndpointTitle
POST /subaccountsCreate a subaccount
PUT /subaccounts/{subaccount_id}Update a subaccount
GET /subaccounts/{subaccount_id}Get a subaccount
GET /subaccountsList subaccounts